aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/cmake.eclass')
-rw-r--r--eclass/cmake.eclass6
1 files changed, 6 insertions, 0 deletions
diff --git a/eclass/cmake.eclass b/eclass/cmake.eclass
index f1e013cd24..9f47538018 100644
--- a/eclass/cmake.eclass
+++ b/eclass/cmake.eclass
@@ -471,6 +471,12 @@ cmake_src_configure() {
SET (CMAKE_INSTALL_DOCDIR "${EPREFIX}/usr/share/doc/${PF}" CACHE PATH "")
SET (BUILD_SHARED_LIBS ON CACHE BOOL "")
_EOF_
+
+ # See bug 689410
+ if [[ "${ARCH}" == riscv ]]; then
+ echo 'SET (CMAKE_FIND_LIBRARY_CUSTOM_LIB_SUFFIX '"${libdir#lib}"' CACHE STRING "library search suffix" FORCE)' >> "${common_config}" || die
+ fi
+
if [[ "${NOCOLOR}" = true || "${NOCOLOR}" = yes ]]; then
echo 'SET (CMAKE_COLOR_MAKEFILE OFF CACHE BOOL "pretty colors during make" FORCE)' >> "${common_config}" || die
fi